<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import { getPageMetadata } from '~/common/meta';

import { SolutionsHero as Hero } from '~/components/solutions/index';
import { NextStep } from '~/components/common/index.vue';
import {
  ContactCards as Cards,
  ContactForms,
} from '~/components/company/index.vue';

export default Vue.extend({
  components: {
    Hero,
    Cards,
    ContactForms,
    NextStep,
  },
  nuxtI18n: false,
  async asyncData({ $content }) {
    const contact = await $content('company/contact').fetch();
    return { contact };
  },
  head(): MetaInfo {
    return getPageMetadata((this as any).contact, this.$route.path);
  },
});
</script>

<template>
  <div>
    <SlpColumn>
      <component
        :is="component.name"
        v-for="component in contact.components"
        :key="component.name"
        :data="component.data"
      />
    </SlpColumn>
    <SlpContainer variant="gradient">
      <NextStep />
    </SlpContainer>
  </div>
</template>
